function illuminationEstimation=colorCat(img, n, line, x1, x2, pcaMatrix, r, reduction)

    histogram=extractColorHistogram(img, n);
    dx=x2-x1;
    
    stabilize=1;
    
    size(pcaMatrix)
    size(histogram)
    histogram=(pcaMatrix\histogram)';
    histogram=histogram(:, 1:reduction)+stabilize;

    x=sum(repmat(r', size(histogram, 1), 1).*histogram, 2);

    if (x<0)
        x=0;
    elseif (x>1)
        x=1;
    end
    
    currentR=x*dx+x1;
    currentB=polyval(line, currentR);
    illuminationEstimation=[currentR, 1-currentR-currentB, currentB];

end
