function result=scaleChannels(img, c, normalize)
    
    if (nargin<3)
        normalize=1;
    end
    
    if (normalize~=0)
        c=c/(sum(c)/3);
    end
    
    result=img;
    for i=1:3
        result(:, :, i)=c(i)*img(:, :, i);
    end
end
